This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 450630 - Review Request: java-1.6.0-sun - Sun Java 6
Review Request: java-1.6.0-sun - Sun Java 6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: Package Review (Show other bugs)
4.7
All Linux
low Severity low
: rc
: ---
Assigned To: Lillian Angel
:
Depends On:
Blocks: 442128
  Show dependency treegraph
 
Reported: 2008-06-09 20:44 EDT by Thomas Fitzsimmons
Modified: 2009-04-23 08:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 08:28:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2008-06-09 20:44:34 EDT
Spec URL: http://torweb.toronto.redhat.com/~fitzsim/RHEL-4/java-1.6.0-sun.spec
SRPM URL:
http://torweb.toronto.redhat.com/~fitzsim/RHEL-4/java-1.6.0-sun-1.6.0.6-1jpp.1.el4.src.rpm
Description: Sun's Java 6 Runtime and Development environments
Comment 1 Lillian Angel 2008-06-10 11:08:53 EDT
RPMLINT

* rpmlint java-1.6.0-sun-1.6.0.6-1jpp.1.fc9.i586.rpm 
java-1.6.0-sun.i586: W: invalid-license Sun Binary Code License
java-1.6.0-sun.i586: E: useless-explicit-provides jdbc-stdext
java-1.6.0-sun.i586: W: unstripped-binary-or-object /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/jre/lib/jexec
java-1.6.0-sun.i586: W: unstripped-binary-or-object /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/jre/lib/i386/xawt/libmawt.so
java-1.6.0-sun.i586: E: binary-or-shlib-defines-rpath /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/jre/lib/i386/xawt/libmawt.so ['$ORIGIN', '$ORIGIN/..']
java-1.6.0-sun.i586: E: file-in-usr-marked-as-conffile /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/jre/lib/security/cacerts
java-1.6.0-sun.i586: W: dangerous-command-in-%post rm
java-1.6.0-sun.i586: W: uncompressed-zip /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/jre/lib/rt.jar

More errors like these. All are ok, because they are part of the sources.


* rpmlint java-1.6.0-sun-demo-1.6.0.6-1jpp.1.fc9.i586.rpm 
java-1.6.0-sun-demo.i586: W: devel-file-in-non-devel-package /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/demo/jvmti/waiters/src/Monitor.cpp
java-1.6.0-sun-demo.i586: W: invalid-license Sun Binary Code License
java-1.6.0-sun-demo.i586: W: unstripped-binary-or-object /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/demo/jvmti/waiters/lib/libwaiters.so
java-1.6.0-sun-demo.i586: E: invalid-soname /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/demo/jvmti/waiters/lib/libwaiters.so libwaiters.so
java-1.6.0-sun-demo.i586: E: binary-or-shlib-defines-rpath /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/demo/jvmti/waiters/lib/libwaiters.so ['$ORIGIN']
java-1.6.0-sun-demo.i586: W: unstripped-binary-or-object /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/demo/jvmti/gctest/lib/libgctest.so
java-1.6.0-sun-demo.i586: E: invalid-soname /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/demo/jvmti/gctest/lib/libgctest.so libgctest.so
java-1.6.0-sun-demo.i586: E: binary-or-shlib-defines-rpath /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/demo/jvmti/gctest/lib/libgctest.so ['$ORIGIN']

All ok. These are fine, since they're under /usr/lib, they can't cause multilib conflicts.  Rebuilding from the demo source code is not trivial.


* rpmlint java-1.6.0-sun-devel-1.6.0.6-1jpp.1.fc9.i586.rpm 
java-1.6.0-sun-devel.i586: W: dangling-relative-symlink /usr/lib/jvm-exports/java-1.6.0-sun java-1.6.0-sun-1.6.0.6
java-1.6.0-sun-devel.i586: W: invalid-license Sun Binary Code License
java-1.6.0-sun-devel.i586: W: unstripped-binary-or-object /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/lib/jexec
java-1.6.0-sun-devel.i586: W: unstripped-binary-or-object /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/bin/xjc
java-1.6.0-sun-devel.i586: E: binary-or-shlib-defines-rpath /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/bin/xjc ['$ORIGIN/../lib/i386/jli', 
'$ORIGIN/../jre/lib/i386/jli']
java-1.6.0-sun-devel.i586: W: uncompressed-zip /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/lib/tools.jar

All ok.


* rpmlint java-1.6.0-sun-jdbc-1.6.0.6-1jpp.1.fc9.i586.rpm 
java-1.6.0-sun-jdbc.i586: W: no-documentation
java-1.6.0-sun-jdbc.i586: W: invalid-license Sun Binary Code License
java-1.6.0-sun-jdbc.i586: W: unstripped-binary-or-object /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/jre/lib/i386/libJdbcOdbc.so
java-1.6.0-sun-jdbc.i586: E: binary-or-shlib-defines-rpath /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/jre/lib/i386/libJdbcOdbc.so ['$ORIGIN']

All ok.
 

* rpmlint java-1.6.0-sun-plugin-1.6.0.6-1jpp.1.fc9.i586.rpm 
java-1.6.0-sun-plugin.i586: W: invalid-license Sun Binary Code License
java-1.6.0-sun-plugin.i586: W: unstripped-binary-or-object /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/jre/plugin/i386/ns7-gcc29/libjavaplugin_oji.so
java-1.6.0-sun-plugin.i586: E: file-in-usr-marked-as-conffile /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/jre/lib/security/javaws.policy
java-1.6.0-sun-plugin.i586: W: file-not-in-%lang /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/jre/lib/locale/de/LC_MESSAGES/sunw_java_plugin.mo
java-1.6.0-sun-plugin.i586: W: uncompressed-zip /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/jre/lib/plugin.jar
java-1.6.0-sun-plugin.i586: W: uncompressed-zip /usr/lib/jvm/java-1.6.0-sun-1.6.0.6/jre/lib/javaws.jar

All ok.


* rpmlint java-1.6.0-sun-src-1.6.0.6-1jpp.1.fc9.i586.rpm 
java-1.6.0-sun-src.i586: W: no-documentation
java-1.6.0-sun-src.i586: W: invalid-license Sun Binary Code License
java-1.6.0-sun-src.i586: E: only-non-binary-in-usr-lib

All ok.



-------------------------


Packaging Guidelines

   1. Naming
	The name includes the JDK major version, 1.6.0. Including the version 
	in the package name is against the guidelines. But in
	this case it's OK. This follows the convention used by other RHEL-packaged
	JDKs.
   2. Legal
         1. Licensing
	 	We have an agreement with Sun that allows us to ship this.
         2. Shareware
         3. Patents
         4. Emulators
         5. Binary Firmware
   3. No inclusion of pre-built binaries or libraries
	The proprietary JDKs are pre-built- that's how we receive them
	from the vendors.
   4. Writing a package from scratch
   5. Modifying an existing package
   6. Filesystem Layout
         1. Libexecdir
   7. Use rpmlint
         1. Rpmlint Errors
	 
	 See above.

   8. Changelogs
	ok. 

   9. Tags
  10. BuildRoot tag
         1. Prepping BuildRoot For %install
	Done.	

  11. Requires
         1. PreReq
         2. File Dependencies
  12. BuildRequires
         1. rpmdev-rmdevelrpms
         2. Exceptions
  13. Summary and description
	Fine.

  14. Encoding
         1. Non-ASCII Filenames
  15. Documentation
  16. Compiler flags
  17. Debuginfo packages
  18. Exclusion of Static Libraries
         1. Packaging Static Libraries
         2. Staticly Linking Executables
               1. Programs which don't need to notify FESCo
  19. Duplication of system libraries
  20. Beware of Rpath
         1. Removing Rpath
  21. Configuration files
  22. Init Scripts
  23. Desktop files
         1. Icon tag in Desktop Files
         2. .desktop file creation
         3. desktop-file-install usage
  24. Macros
         1. Using %{buildroot} and %{optflags} vs $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
         2. Why the %makeinstall macro should not be used
  25. Handling Locale Files
         1. Why do we need to use %find_lang?
  26. Timestamps
  27. Parallel make
  28. Scriptlets requirements
  29. Running scriptlets only in certain situations
  30. Scriplets are only allowed to write in certain directories
  31. Conditional dependencies
  32. Build packages with separate user accounts
  33. Relocatable packages
  34. Code Vs Content
  35. File and Directory Ownership
  36. Users and Groups
  37. Web Applications
  38. Conflicts
  39. No External Kernel Modules

  ok.

-------------------------
- MUST: The package must be named according to the Package Naming Guidelines.
ok.

- MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines.
ok.

- MUST: The package must meet the Packaging Guidelines.
ok.

- MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines.
N/A

- MUST: The License field in the package spec file must match the actual license.
ok.

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
ok.

- MUST: The spec file must be written in American English.
ok.

- MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
ok.

- MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
built on i586.

- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. 
Done.

- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense.
ok.

- MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
None.

- MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig.
An example of the correct syntax for this is: 
None.

- MUST: A package must not contain any duplicate files in the %files listing.
ok.

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
Yes.

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
Yes.

- MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
ok.

- MUST: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of Packaging Guidelines.
ok.

- MUST: Large documentation files should go in a -doc subpackage.
N/A

- MUST: Header files must be in a -devel package.
ok. Demo headers in -demo, devel headers in -devel.

- MUST: Static libraries must be in a -static package.
N/A

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
N/A

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.
N/A

- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
ok.

- MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. 
ControlPanel and javaws do this

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). 
Done.

- MUST: All filenames in rpm packages must be valid UTF-8.
ok.

- SHOULD: If the source package does not include license text(s) as a separate
file from upstream, the packager SHOULD query upstream to include it.
ok

- SHOULD: The description and summary sections in the package spec file should
contain translations for supported Non-English languages, if available.
N/A

- SHOULD: The reviewer should test that the package builds in mock. See
MockTricks for details on how to do this.
Not done.

- SHOULD: The package should compile and build into binary rpms on all supported
architectures.
works on i586.

- SHOULD: The reviewer should test that the package functions as described. 
works.

- SHOULD: If scriptlets are used, those scriptlets must be sane.
ok.

- SHOULD: Usually, subpackages other than devel should require the base package
using a fully versioned dependency.
ok

- SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
this is usually for development purposes, so should be placed in a -devel pkg.
N/A

- SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself. 
ok.
Comment 2 Lillian Angel 2008-06-10 11:10:08 EDT
APPROVED
Comment 3 Red Hat Bugzilla 2008-07-24 21:04:26 EDT
Adding patrickm@redhat.com to the cc list as the manager of the disabled user fitzsim@redhat.com who reported this bug
Comment 4 Peter Lemenkov 2009-04-23 05:18:40 EDT
What's the status of this ticket?
Comment 5 Lillian Angel 2009-04-23 08:28:05 EDT
Closing. this has already been put into RHEL.

Note You need to log in before you can comment on or make changes to this bug.